import { View } from '@tarojs/components';
import { AtRadio, AtButton } from 'taro-ui';
import { useState, useEffect } from 'react';
import Taro from "@tarojs/taro";
import GlobalFooter from '../../components/GlobalFooter';
import questions from '../../data/questions.json';

import './index.scss';

export default function Index() {

  const [current, setCurrent] = useState(1);
  const [currentAnswer, setCurrentAnswer] = useState();

  const [answerList] = useState([]);

  const [currentQuestion, setCurrentQuestion] = useState(questions[0]);

  const questionOptions = currentQuestion.options.map((option) => {
    return {
      label: `${option.key}. ${option.value}`,
      value: option.key
    };
  });

  useEffect(() => {
    setCurrentAnswer(undefined);
  }, [current]);

  useEffect(() => {
    setCurrentQuestion(questions[current - 1]);
  }, [current]);

  return (
    <View className='questionPage'>
      {/* {JSON.stringify(answerList)} */}
      <View className='at-article__h1 title'>
        {current}、{currentQuestion.title}
      </View>

      <AtRadio
        options={questionOptions}
        value={answerList[current - 1]}
        onClick={(value) => {
          setCurrentAnswer(value);
          answerList[current - 1] = value;
        }}
      />

      { current < questions.length && (
        <AtButton type='primary' size='normal' className='enterBtn' disabled={!answerList[current - 1]} circle onClick={() => {
          setCurrent(current + 1);
        }}>下一题</AtButton>)
      }

      { current > 1 && (
        <AtButton size='normal' className='enterBtn' circle onClick={() => {
          setCurrent(current - 1);
        }}>上一题</AtButton>
      )}

      { current === questions.length && (
        <AtButton type='primary' size='normal' className='enterBtn' circle disabled={!answerList[current - 1]}
          onClick={() => {
            try {
              Taro.setStorageSync('answerList', answerList);
            } catch (e) {}

            Taro.navigateTo({
              url: '/pages/result/index'
            });
          }}
        >查看结果</AtButton>
      )}

      <GlobalFooter />
    </View>
  );
}