import {Image, View} from '@tarojs/components'
import Taro from "@tarojs/taro";
import {AtButton} from "taro-ui";
import GlobalFooter from '../../components/GlobalFooter'

import './index.scss'
import headerBg from "../../assets/headerBg.jpg";
import {calculateHighestScore} from "../../util/bzUtil";
import questions from "../../data/questions.json";
import questionResults from "../../data/question_results.json";


export default function Index() {

  const answerList = Taro.getStorageSync("answerList");

  if (!answerList || answerList.length === 0) {
    Taro.showToast({ title: "答案为空", icon: "error" , duration: 2000 });
  }

  const questionResult = calculateHighestScore(answerList, questions, questionResults);

  return (
    <View className='resultPage'>
      {/*{JSON.stringify(answerList)}*/}
      <View className='at-article__h1 title'>
        {questionResult.resultName}
      </View>
      <View className='at-article__h3 subtitle'>{questionResult.resultDesc}</View>
      <AtButton type='primary' className='enterBtn' circle onClick={()=>{
        Taro.reLaunch({ url: '/pages/index/index' })
      }}>返回首页</AtButton>

      <Image className='headerBg' src={headerBg} />
      <GlobalFooter />
    </View>
  )
}

