const answerList = ["B","B","B","A"];
const questions = [
  {
    title: "你通常更喜欢",
    options: [
      {
        result: "I",
        value: "独自工作",
        key: "A",
      },
      {
        result: "E",
        value: "与他人合作",
        key: "B",
      },
    ],
  },
  {
    options: [
      {
        result: "S",
        value: "喜欢有结构和常规",
        key: "A",
      },
      {
        result: "N",
        value: "喜欢自由和灵活性",
        key: "B",
      },
    ],
    title: "对于日常安排",
  },
  {
    options: [
      {
        result: "P",
        value: "首先考虑可能性",
        key: "A",
      },
      {
        result: "J",
        value: "首先考虑后果",
        key: "B",
      },
    ],
    title: "当遇到问题时",
  },
  {
    options: [
      {
        result: "T",
        value: "时间是一种宝贵的资源",
        key: "A",
      },
      {
        result: "F",
        value: "时间是相对灵活的概念",
        key: "B",
      },
    ],
    title: "你如何看待时间",
  },
];
const questionResults = [
  {
    resultProp: ["I", "S", "T", "J"],
    resultDesc: "忠诚可靠，被公认为务实，注重细节。",
    resultPicture: "icon_url_istj",
    resultName: "ISTJ（物流师）",
  },
  {
    resultProp: ["I", "S", "F", "J"],
    resultDesc: "善良贴心，以同情心和责任为特点。",
    resultPicture: "icon_url_isfj",
    resultName: "ISFJ（守护者）",
  },
];

// 计算得分最高的题目评分结果
export function calculateHighestScore(answerList, questions, questionResults) {
  // 初始化每个评分结果的分数
  const scores = questionResults.map(result => ({
    resultProp: result.resultProp,
    resultDesc: result.resultDesc,
    resultPicture: result.resultPicture,
    resultName: result.resultName,
    score: 0
  }));

  // 遍历用户答案和题目列表，计算分数
  answerList.forEach((answer, index) => {
    const question = questions[index];

    const selectedOption = question.options.find(option => option.key === answer);
    if (selectedOption) {
      const result = selectedOption.result;
      scores.forEach(score => {
        if (score.resultProp.includes(result)) {
          score.score++;
        }
      });
    }
  });

  //默认给它一个值；
  let highestScore=questionResults[0];
  // 找到分数最高的评分结果
  highestScore = scores.reduce((max, current) => (current.score > max.score ? current : max), { score: 0 });
  return highestScore;
}

// 调用函数并输出结果
const highestScoreResult = calculateHighestScore(answerList, questions, questionResults);
console.log(highestScoreResult);
